View Issue Details

This bug affects 2 person(s).
 18
IDProjectCategoryView StatusLast Update
19085Bug reportsTheme editorpublic2023-10-30 10:54
Reportergabrieljenik Assigned Tomfavetti  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version6.3.0-dev 
Summary19085: Theme Options with an on/off switch are not disabled when page loads
Description

When working with theme options...

For options that have a switch, they are supposed to be disabled when set to “No”. It actually disables the field when you press it. But when the page loads, the disabling is not applied, and it allows a value to be set even if the switch is set to “No”.

Steps To Reproduce

Caught while reviewing 18880

TagsNo tags attached.
Bug heat18
Complete LimeSurvey version number (& build)5.6.25
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 18880 resolvedgabrieljenik Unable to add imagefile except brandlogofile and backgroundimagefile in option 
related to 19086 closedmfavetti Survey Theme Options: image preview does not work 
related to 19183 closedmfavetti No editing possible after setting the survey background 

Users monitoring this issue

mfavetti

Activities

Mazi

Mazi

2023-09-27 13:37

updater   ~77365

This problem seems to be fixed at LS 6.x.

gabrieljenik

gabrieljenik

2023-09-27 14:05

manager   ~77367

Sorry, this was actually found on develop. Will update the ticket.

Mazi

Mazi

2023-10-11 14:45

updater   ~77627

@tibor.pacalat, can we get this fixed for 5.x while working on 19086?

tibor.pacalat

tibor.pacalat

2023-10-11 15:43

administrator   ~77631

If same person wants to tackle both issues, I am fine with it being one PR.

mfavetti

mfavetti

2023-10-20 22:17

developer   ~77823

i'll work on both

mfavetti

mfavetti

2023-10-22 00:02

developer   ~77833

5.x: https://github.com/LimeSurvey/LimeSurvey/pull/3561
master: https://github.com/LimeSurvey/LimeSurvey/pull/3558

Mazi

Mazi

2023-10-22 17:40

updater   ~77836

Thanks for fixing this! Looking forward to see this at the next release.

mfavetti

mfavetti

2023-10-24 23:53

developer   ~77943

Quick video on how to reproduce

mfavetti

mfavetti

2023-10-24 23:55

developer   ~77944

And after fix:

mfavetti

mfavetti

2023-10-25 16:09

developer   ~77983

Fix committed to 5.x branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=35668

mfavetti

mfavetti

2023-10-25 16:10

developer   ~77984

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=35669

tibor.pacalat

tibor.pacalat

2023-10-25 16:10

administrator   ~77985

Tested and merged.

LimeBot

LimeBot

2023-10-30 10:54

administrator   ~78129

Fixed in Release 5.6.43+231030

Related Changesets

LimeSurvey: 5.x ff034592

2023-10-25 16:09:43

mfavetti


Committer: GitHub Details Diff
Fixed issue 19085: Theme Options with an on/off switch are not disabled when page loads (#3561) Affected Issues
19085
mod - assets/packages/themeoptions-core/themeoptions-core.js Diff File

LimeSurvey: master 8d8389f9

2023-10-25 16:10:03

mfavetti


Committer: GitHub Details Diff
Fixed issue 19085: Theme Options with an on/off switch are not disabled when page loads (#3558) Affected Issues
19085
mod - assets/packages/themeoptions-core/themeoptions-core.js Diff File

Issue History

Date Modified Username Field Change
2023-09-14 14:46 gabrieljenik New Issue
2023-09-14 14:46 gabrieljenik Issue generated from: 18880
2023-09-14 14:46 gabrieljenik Relationship added related to 18880
2023-09-18 15:07 gabrieljenik Status new => confirmed
2023-09-27 10:43 guest Bug heat 0 => 6
2023-09-27 13:37 Mazi Note Added: 77365
2023-09-27 13:37 Mazi Bug heat 6 => 8
2023-09-27 14:05 gabrieljenik Note Added: 77367
2023-09-27 14:05 gabrieljenik Bug heat 8 => 10
2023-09-27 14:05 gabrieljenik Product Version 5.6.x => 6.3.0-dev
2023-10-11 14:45 Mazi Note Added: 77627
2023-10-11 15:43 tibor.pacalat Note Added: 77631
2023-10-11 15:43 tibor.pacalat Bug heat 10 => 12
2023-10-20 22:16 mfavetti Assigned To => mfavetti
2023-10-20 22:16 mfavetti Status confirmed => assigned
2023-10-20 22:17 mfavetti Note Added: 77823
2023-10-20 22:17 mfavetti Bug heat 12 => 14
2023-10-20 22:19 mfavetti Relationship added related to 19183
2023-10-20 22:23 mfavetti Relationship added related to 19086
2023-10-22 00:02 mfavetti Note Added: 77833
2023-10-22 00:02 mfavetti Assigned To mfavetti => DenisChenu
2023-10-22 00:02 mfavetti Status assigned => ready for code review
2023-10-22 17:40 Mazi Note Added: 77836
2023-10-23 11:39 DenisChenu Assigned To DenisChenu => tibor.pacalat
2023-10-23 11:39 DenisChenu Status ready for code review => ready for testing
2023-10-23 20:49 mfavetti Issue Monitored: mfavetti
2023-10-23 20:49 mfavetti Bug heat 14 => 16
2023-10-24 23:53 mfavetti Note Added: 77943
2023-10-24 23:53 mfavetti File Added: LimeSurvey - Google Chrome 2023-10-24 14-52-24.mp4
2023-10-24 23:55 mfavetti Note Added: 77944
2023-10-24 23:55 mfavetti File Added: LimeSurvey - Google Chrome 2023-10-24 14-54-49.mp4
2023-10-25 16:09 mfavetti Changeset attached => LimeSurvey 5.x ff034592
2023-10-25 16:09 mfavetti Note Added: 77983
2023-10-25 16:09 mfavetti Assigned To tibor.pacalat => mfavetti
2023-10-25 16:09 mfavetti Resolution open => fixed
2023-10-25 16:10 mfavetti Changeset attached => LimeSurvey master 8d8389f9
2023-10-25 16:10 mfavetti Note Added: 77984
2023-10-25 16:10 tibor.pacalat Status ready for testing => resolved
2023-10-25 16:10 tibor.pacalat Note Added: 77985
2023-10-30 10:54 LimeBot Note Added: 78129
2023-10-30 10:54 LimeBot Status resolved => closed
2023-10-30 10:54 LimeBot Bug heat 16 => 18